Yandex Cloud
Документация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex Cloud CDN
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Метрики Monium Metrics
  • Логи запросов
  • Аудитные логи Audit Trails
  • История изменений
  • Вопросы и ответы

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • OriginMeta
  • OriginNamedMeta
  • OriginBalancerMeta
  1. Справочник API
  2. REST (англ.)
  3. Origin
  4. Get

Cloud CDN API, REST: Origin.Get

Статья создана
Yandex Cloud
Обновлена 20 апреля 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • OriginMeta
  • OriginNamedMeta
  • OriginBalancerMeta

Get origin in origin group.

HTTP requestHTTP request

GET https://cdn.api.cloud.yandex.net/cdn/v1/origins/{originId}

Path parametersPath parameters

Field

Description

originId

string (int64)

Required field. originId group ID to request origin from.

Value must be greater than 0.

Query parametersQuery parameters

Field

Description

folderId

string

Required field. ID of the folder that the origin belongs to.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "originGroupId": "string",
  "source": "string",
  "enabled": "boolean",
  "backup": "boolean",
  "meta": {
    // Includes only one of the fields `common`, `bucket`, `website`, `balancer`
    "common": {
      "name": "string"
    },
    "bucket": {
      "name": "string"
    },
    "website": {
      "name": "string"
    },
    "balancer": {
      "id": "string"
    }
    // end of the list of possible fields
  },
  "providerType": "string"
}

An origin. For details about the concept, see documentation.

Field

Description

id

string (int64)

ID of the origin.

originGroupId

string (int64)

ID of the parent origin group.

source

string

IP address or Domain name of your origin and the port (if custom).
Used if meta variant is common.

enabled

boolean

The setting allows to enable or disable an Origin source in the Origins group.
It has two possible values:
True - The origin is enabled and used as a source for the CDN. An origins
group must contain at least one enabled origin.
False - The origin is disabled and the CDN is not using it to pull content.

backup

boolean

Specifies whether the origin is used in its origin group as backup.
A backup origin is used when one of active origins becomes unavailable.

meta

OriginMeta

Set up origin of the content.

providerType

string

Type of the CDN provider for this origin group.

OriginMetaOriginMeta

Origin type. For details about the concept, see documentation.

Field

Description

common

OriginNamedMeta

A server with a domain name linked to it

Includes only one of the fields common, bucket, website, balancer.

Type of the origin.

bucket

OriginNamedMeta

An Object Storage bucket not configured as a static site hosting.

Includes only one of the fields common, bucket, website, balancer.

Type of the origin.

website

OriginNamedMeta

An Object Storage bucket configured as a static site hosting.

Includes only one of the fields common, bucket, website, balancer.

Type of the origin.

balancer

OriginBalancerMeta

An L7 load balancer from Application Load Balancer.
CDN servers will access the load balancer at one of its IP addresses that must be selected in the origin settings.

Includes only one of the fields common, bucket, website, balancer.

Type of the origin.

OriginNamedMetaOriginNamedMeta

Origin info. For details about the concept, see documentation.

Field

Description

name

string

Name of the origin.

OriginBalancerMetaOriginBalancerMeta

Application Load Balancer origin info. For details about the concept, see documentation.

Field

Description

id

string

ID of the origin.

Была ли статья полезна?

Предыдущая
Overview
Следующая
List
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»